#ifndef SEVERITYSELECTDIALOG_H
#define SEVERITYSELECTDIALOG_H

#include <kdialogbase.h>

#include "bug.h"

class SeveritySelectDialog : public KDialogBase
{
    TQ_OBJECT
  
  public:
    SeveritySelectDialog(TQWidget *parent=0,const char *name=0);

    void setSeverity( Bug::Severity );
        
    Bug::Severity selectedSeverity();
    TQString selectedSeverityAsString();

  private:
    TQButtonGroup *mButtonGroup;
};

#endif
